%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         smartystreets
%global repo            goconvey
# https://github.com/smartystreets/goconvey
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          43652d6f5820494c94d44658c1c0ae1a0ace403a
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Behavioral testing in the browser, integrates with go test
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
Summary:       %{summary}
BuildRequires: golang >= 1.2.1-3
BuildRequires: golang(github.com/jtolds/gls)
# cyclic dependency between golang-github-smartystreets-goconvey and
# golang-github-smartystreets-assertions
#BuildRequires: golang(github.com/smartystreets/assertions)
Requires:      golang(github.com/jtolds/gls)
Requires:      golang(github.com/smartystreets/assertions)
Provides:      golang(%{import_path}/convey) = %{version}-%{release}
Provides:      golang(%{import_path}/convey/gotest) = %{version}-%{release}
Provides:      golang(%{import_path}/convey/reporting) = %{version}-%{release}
Provides:      golang(%{import_path}/examples) = %{version}-%{release}
Provides:      golang(%{import_path}/web/server/api) = %{version}-%{release}
Provides:      golang(%{import_path}/web/server/contract) = %{version}-%{release}
Provides:      golang(%{import_path}/web/server/executor) = %{version}-%{release}
Provides:      golang(%{import_path}/web/server/messaging) = %{version}-%{release}
Provides:      golang(%{import_path}/web/server/parser) = %{version}-%{release}
Provides:      golang(%{import_path}/web/server/system) = %{version}-%{release}
Provides:      golang(%{import_path}/web/server/watch) = %{version}-%{release}
Provides:      golang(%{import_path}/web/server/watch/integration_testing/sub) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

rm web/client/resources/fonts/Orbitron/OFL.txt
rm web/server/watch/integration_testing/sub/.gitignore
rm web/client/resources/fonts/FontAwesome/fontawesome-webfont.svg
rm web/client/resources/fonts/Open_Sans/LICENSE.txt
rm web/client/resources/fonts/Oswald/OFL.txt

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
# cyclic dependency between golang-github-smartystreets-goconvey and
# golang-github-smartystreets-assertions

%files devel
%if 0%{?fedora}
%license LICENSE.md
%doc CONTRIBUTING.md README.md
%else
%doc CONTRIBUTING.md LICENSE.md README.md
%endif
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Thu Apr 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git43652d6
- First package for Fedora
  resolves: #1214862
